﻿using Infragistics.Documents.RichText;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace KB9318_SampleApp1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            ParagraphSettings paragraphSettings = new ParagraphSettings();
            paragraphSettings.Spacing = new ParagraphSpacingSettings();
            paragraphSettings.Spacing.LineSpacing = new LineSpacing(new Extent(0, ExtentUnitType.LogicalPixels), ExtentRule.Exact);
            paragraphSettings.Spacing.AfterParagraph = new ParagraphVerticalSpacing(new Extent(0, ExtentUnitType.LogicalPixels));
            paragraphSettings.Spacing.BeforeParagraph = new ParagraphVerticalSpacing(new Extent(0, ExtentUnitType.LogicalPixels));
            paragraphSettings.WordWrap = true;

            xamRichTextEditor1.Document.RootNode.Settings = new DocumentSettings();
            xamRichTextEditor1.Document.RootNode.Settings.DefaultParagraphSettings = paragraphSettings;
        }
    }
}
